Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(56)

Issue 1464223002: Defer widget updates in ContainerNode::parserRemoveChild. (Closed)

Created:
3 years, 9 months ago by Mariusz Mlynski
Modified:
3 years, 8 months ago
Reviewers:
kouhei (in TOK)
CC:
chromium-reviews, sof, eae+blinkwatch, blink-reviews-dom_chromium.org, dglazkov+blink, blink-reviews, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Defer widget updates in ContainerNode::parserRemoveChild. ContainerNode::parserRemoveChild is the only consumer of ContainerNode::removeBetween that doesn't defer widget updates during the call. This could potentially lead to problems with scripts running at an inopportune time. This patch adds a RAII guard that runs deferred widget updates at the end of parserRemoveChild. BUG=560011 Committed: https://crrev.com/05926d6f4e749cd49a16fa04a35e3498eb1b01a0 Cr-Commit-Position: refs/heads/master@{#363154}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -0 lines) Patch
M third_party/WebKit/Source/core/dom/ContainerNode.cpp View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 17 (7 generated)
kouhei (in TOK)
code change looks good. Before committing the change, would you sign our CLA at https://cla.developers.google.com/about/google-individual ...
3 years, 8 months ago (2015-12-03 03:10:14 UTC) #2
Mariusz Mlynski
On 2015/12/03 03:10:14, kouhei wrote: > code change looks good. > > Before committing the ...
3 years, 8 months ago (2015-12-03 03:12:47 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1464223002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1464223002/1
3 years, 8 months ago (2015-12-03 03:14:10 UTC) #5
kouhei (in TOK)
On 2015/12/03 03:12:47, Mariusz Mlynski wrote: > On 2015/12/03 03:10:14, kouhei wrote: > > code ...
3 years, 8 months ago (2015-12-03 04:17:07 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 8 months ago (2015-12-03 05:37:59 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1464223002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1464223002/1
3 years, 8 months ago (2015-12-03 23:21:12 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
3 years, 8 months ago (2015-12-04 01:28:14 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1464223002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1464223002/1
3 years, 8 months ago (2015-12-04 04:13:32 UTC) #14
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 8 months ago (2015-12-04 06:45:26 UTC) #15
commit-bot: I haz the power
3 years, 8 months ago (2015-12-04 06:46:39 UTC) #17
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/05926d6f4e749cd49a16fa04a35e3498eb1b01a0
Cr-Commit-Position: refs/heads/master@{#363154}

Powered by Google App Engine
This is Rietveld 408576698